%define name gimp-sharp
%define version 0.6
%define release 1mdk
%define gimpver 2.0
%define gimpapi 2.0
%define gimpmajor 0

Summary: Gimp# allows writing Gimp plugin with Mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/gimp-sharp/%{name}-%{version}.tar.bz2
Source1: gimp-sharp-0.1.1.dll.config.bz2
Patch: gimp-sharp-0.6-paths.patch.bz2
License: GPL
Group: Graphics
Url: http://gimp-sharp.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk-sharp-devel
BuildRequires: libgimp-devel >= %gimpver
BuildRequires: automake1.7

%description
This are the C# bindings for GIMP 2.0 that allow the implementation of
plugins with mono.

%prep
%setup -q
%patch -p1 -b .paths
aclocal-1.7
autoconf
automake-1.7
bzcat %SOURCE1 > gimp-sharp.dll.config
perl -pi -e "s!MAJOR!%gimpmajor!" gimp-sharp.dll.config

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/gimp/%gimpapi/plug-ins/
install -m 644 gimp-sharp.dll.config %buildroot%_libdir/gimp/%gimpapi/plug-ins/
%makeinstall_std
mv %buildroot%_libdir/libgimpwrapper.so.0.0.0 %buildroot%_libdir/gimp/2.0/plug-ins/libgimpwrapper.so
rm -f %buildroot%_libdir/libgimpwrapper*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS TODO README
%{_libdir}/gimp/%gimpapi/plug-ins/KoalaPaint
%{_libdir}/gimp/%gimpapi/plug-ins/KoalaPaint.exe
%{_libdir}/gimp/%gimpapi/plug-ins/Splitter
%{_libdir}/gimp/%gimpapi/plug-ins/Splitter.exe
%{_libdir}/gimp/%gimpapi/plug-ins/Ministeck
%{_libdir}/gimp/%gimpapi/plug-ins/Ministeck.exe
%{_libdir}/gimp/%gimpapi/plug-ins/PicturePackage
%{_libdir}/gimp/%gimpapi/plug-ins/PicturePackage.exe
%{_libdir}/gimp/%gimpapi/plug-ins/RedEye
%{_libdir}/gimp/%gimpapi/plug-ins/RedEye.exe
%{_libdir}/gimp/%gimpapi/plug-ins/SliceTool
%{_libdir}/gimp/%gimpapi/plug-ins/SliceTool.exe
%{_libdir}/gimp/%gimpapi/plug-ins/gimp-sharp.dll
%{_libdir}/gimp/%gimpapi/plug-ins/gimp-sharp.dll.config
%{_libdir}/gimp/%gimpapi/plug-ins/libgimpwrapper.so
%{_libdir}/gimp/%gimpapi/plug-ins/ncp
%{_libdir}/gimp/%gimpapi/plug-ins/ncp.exe
%{_libdir}/gimp/%gimpapi/plug-ins/wbmp
%{_libdir}/gimp/%gimpapi/plug-ins/wbmp.exe


%changelog
* Wed Apr  6 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- update file list
- rediff patch
- New release 0.6

* Fri Jan 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- add new plugins
- rediff the patch
- New release 0.5

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add new files
- update the patch
- New release 0.4

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- fix build
- New release 0.3

* Mon Nov  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix picturepackage startup script

* Sun Nov  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- spec fixes
- New release 0.2

* Tue Nov  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package
